package com.philisense.www.service.impl;


import com.philisense.www.dao.EbookArticleTypeDAO;
import com.philisense.www.service.EbookArticleTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class EbookArticleTypeServiceImpl implements EbookArticleTypeService {

    @Autowired
    private EbookArticleTypeDAO ebookArticleTypeDAO;

    @Override
    public int deleteByPrimaryKey(String id) {
        return ebookArticleTypeDAO.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return ebookArticleTypeDAO.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return ebookArticleTypeDAO.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return ebookArticleTypeDAO.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return ebookArticleTypeDAO.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return ebookArticleTypeDAO.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return ebookArticleTypeDAO.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return ebookArticleTypeDAO.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return ebookArticleTypeDAO.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return ebookArticleTypeDAO.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        ebookArticleTypeDAO.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        ebookArticleTypeDAO.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        ebookArticleTypeDAO.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getEbookArticleTypeByParentid(Map<String, Object> map) {
        return ebookArticleTypeDAO.getEbookArticleTypeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getEbookArticleTypeByLevelCode(Map<String, Object> map) {
        return ebookArticleTypeDAO.getEbookArticleTypeByLevelCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return ebookArticleTypeDAO.updateDropNode(map);
    }

    @Override
    public void updateBatchLevelCode(Map<String, Object> map) {
        ebookArticleTypeDAO.updateBatchLevelCode(map);
    }
}